Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.config
Interface ConfigurationBuilder

All Known Implementing Classes:
  AbstractAnnotationConfigurationBuilder, AbstractConfigurationBuilder, AbstractResourceConfigurationBuilder, AnnotationsConfigurationBuilder, AutoConfigurationBuilder, DefaultsConfigurationBuilder, GuiceConfigurationBuilder, IBeanHolderConfigurationBuilder, ScriptConfigurationBuilder, SimpleConfigurationBuilder, SpringConfigurationBuilder, SpringXmlConfigurationBuilder, WebappMuleXmlConfigurationBuilder

    public interface ConfigurationBuilder

A `ConfigurationBuilder` is used to configure a Mule instance, represented by a MuleContext instance. Multiple ConfigurationBuilder's can be used to configure a single mule instance with each ConfigurationBuilder doing one of more of the following:

- Creation of mule runtime artifacts (endpoint's, connector's, service's, transformer's) which are then registered with the `Registy` Creation and registration of SecurityManager / TransactionManager / TransactionManagerFactory / QueueManager and ThreadingProfile's. Unlike the runtime artifacts mule only uses a single instance of each of these and so if multiple configuration builder create and register these artifacts only one will be used.
- Configuration of existing Mule configuration related artifacts such as `MuleConfiguration` and `ServerNotificationManager`
  Which of the above takes place, depends on what the configuration source contains and the ConfgurationBuilder implementation is used.

  Method Summary
  `void` | `configure(MuleContext muleContext)` Will configure a MuleContext based on the configuration provided.
  `boolean` | `isConfigured()` Indicate whether this ConfigurationBulder has been configured yet

  Method Detail

  ### configure

      void configure(MuleContext muleContext)
                     throws ConfigurationException

    Will configure a MuleContext based on the configuration provided. The configuration will be set on the `ConfigurationBuilder` implementation as bean properties before this method has been called.

    Parameters:
      `muleContext` - The current `MuleContext`
    Throws:
      `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly

  ### isConfigured

      boolean isConfigured()

    Indicate whether this ConfigurationBulder has been configured yet

    Returns:
      `true` if this ConfigurationBulder has been configured.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.